## LassoSoapEnvelope

LassoSoapEnvelope — <soap:Envelope>

## Functions

LassoSoapEnvelope * | lasso_soap_envelope_new ()
LassoSoapEnvelope * | lasso_soap_envelope_new_full ()
LassoSoapEnvelope * | lasso_soap_envelope_new_from_message ()

## Types and Values

struct | LassoSoapEnvelope

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSoapEnvelope

## Description

## Functions

### lasso_soap_envelope_new ()

    LassoSoapEnvelope *
    lasso_soap_envelope_new (LassoSoapBody *body);

Creates a new LassoSoapEnvelope with a new empty LassoSoapBody member. Note, this function does not add a LassoSoapHeader, if you need both headers and a body use `lasso_soap_envelope_new_full()` instead.

#### Returns

new LassoSoapEnvelope

### lasso_soap_envelope_new_full ()

    LassoSoapEnvelope *
    lasso_soap_envelope_new_full (void);

Creates a new LassoSoapEnvelope with new empty LassoSoapHeader and LassoSoapBody members.

#### Returns

new LassoSoapEnvelope

### lasso_soap_envelope_new_from_message ()

    LassoSoapEnvelope *
    lasso_soap_envelope_new_from_message (const gchar *message);

Given an XML document in `message` , parse it and convert it into a LassoNode, then insert that LassoNode into the body of the newly returned LassoSoapEnvelope.

#### Parameters

message | XML document |

#### Returns

new LassoSoapEnvelope

## Types and Values

### struct LassoSoapEnvelope

    struct LassoSoapEnvelope;